View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008664CMakeQtDialogpublic2009-03-03 20:342016-06-10 14:30
ReporterEric Wing 
Assigned ToClinton Stimpson 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionmoved 
PlatformOSOS Version
Product VersionCMake-2-6 
Target VersionFixed in Version 
Summary0008664: CMakeGUI: Feature Request: "Open Generated Project" button
DescriptionIn introducing CMake to some new people using Visual Studio, Eclipse, and Xcode, it became obvious that an easy way to launch the generated project would be very useful. There was a lot of fumbling to find this project on the file system and get it opened in the IDE of choice.

It would be very handy to have a button right next to "Generate" that was intended to open the project in the IDE immediately. (On Mac and Windows, it should behave like double-clicking the file in Finder/Explorer).

This would make CMake much friendlier to newbies and greatly improve the work-flow pattern I was seeing.


TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0012914closed GUI Idea : an "open project" button 
related to 0008260closedClinton Stimpson add "build" button to cmake-gui ? 

-  Notes
(0028406)
Alex Neundorf (developer)
2012-01-25 14:24

In duplicate 0012914, Michael wrote:

Here's a common workflow I have : open CMake GUI, configure, generate, then open windows file exporer, find the directory where I put the build files, double click on the project file...
I have a feeling that it could be further streamlined simply by adding a "open project" button on CMake's GUI.
Of course, you could argue that it's irrelevant in quite a few cases (when there's no IDE associated with the generated file, for example with gcc makefile), but the button could be displayed only when it's relevant for the selected generator.
(0041510)
Kitware Robot (administrator)
2016-06-10 14:27

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2009-03-03 20:34 Eric Wing New Issue
2009-03-03 21:25 Bill Hoffman Status new => assigned
2009-03-03 21:25 Bill Hoffman Assigned To => Clinton Stimpson
2011-01-18 12:11 David Cole Relationship added related to 0008260
2011-01-18 12:19 David Cole Category CMakeSetup => QtDialog
2012-01-25 14:22 Alex Neundorf Relationship added has duplicate 0012914
2012-01-25 14:24 Alex Neundorf Note Added: 0028406
2012-08-13 23:25 Clinton Stimpson Status assigned => backlog
2016-06-10 14:27 Kitware Robot Note Added: 0041510
2016-06-10 14:27 Kitware Robot Status backlog => resolved
2016-06-10 14:27 Kitware Robot Resolution open => moved
2016-06-10 14:30 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker